## Index

### Variables

- KEY_PARAMETER
- KEY_RETURN_TYPE
- KEY_TYPE
- getMetadataType

### Functions

- makeMetadataGetter

## Variables

### Const KEY_PARAMETER

KEY_PARAMETER: "design:paramtypes" = "design:paramtypes"

- Defined in decorator/util.ts:3

### Const KEY_RETURN_TYPE

KEY_RETURN_TYPE: "design:returntype" = "design:returntype"

- Defined in decorator/util.ts:4

### Const KEY_TYPE

KEY_TYPE: "design:type" = "design:type"

- Defined in decorator/util.ts:2

### Const getMetadataType

getMetadataType: function = makeMetadataGetter(KEY_TYPE)

- Defined in decorator/util.ts:6

#### Type declaration

- - (target: any, targetKey?: undefined | string): any

  - #### Parameters

    - ##### target: any

    - ##### Optional targetKey: undefined | string

    #### Returns any

## Functions

### makeMetadataGetter

- makeMetadataGetter(metadataKey: string): function

- - Defined in decorator/util.ts:8

  #### Parameters

  - ##### metadataKey: string

  #### Returns function

  - - (target: any, targetKey?: undefined | string): any

    - #### Parameters

      - ##### target: any

      - ##### Optional targetKey: undefined | string

      #### Returns any

Generated using TypeDoc